gd_hidden(3)

NAME
gd_hidden — check whether a Dirfile entry is hidden or not

SYNOPSIS
#include <getdata.h>

int gd_hidden(const DIRFILE *dirfile, const char *entry_name);

DESCRIPTION
The function queries a dirfile(5) database specified by to determine whether the field or alias called is hidden or not. This information is also available in the entry object proved by

By default, a hidden entry does not appear in the lists returned by the functions or including the special-case versions of such as These omissions are also reflected in the counts returned by the corresponding field counting function and it's special-case versions (gd_nfields(3), &c.).

RETURN VALUE
Upon successful completion, returns one if the field or alias is hidden, or zero if the entry is not hidden.

On error, it returns a negative-valued error code. (As a result, the caller checking simply whether the return value of this function is non-zero is usually an error.) Possible error codes are: The field specified by was not found in the database. The supplied dirfile was invalid.

The error code is also stored in the DIRFILE object and may be retrieved after this function returns by calling A descriptive error string for the error may be obtained by calling

HISTORY
The function appeared in GetData-0.8.0.

In GetData-0.10.0, the error return from this function changed from -1 to a negative-valued error code.

SEE ALSO
dirfile(5)